aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xutil/board_status/board_status.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 058a3d9394..b315be1c18 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -333,6 +333,21 @@ if [ $UPLOAD_RESULTS -eq 1 ]; then
fi
cd "board-status"
+
+ echo "Checking for duplicate results"
+ # get any updates to board-status
+ git pull
+
+ echo "${tagged_version}" | grep dirty >/dev/null 2>&1
+ clean_version=$?
+ existing_results=$(git ls-files "${mainboard_dir}/${tagged_version}")
+
+ # reject duplicate results of non-dirty versions
+ if [ "${clean_version}" -eq 1 ] && [ -n "${existing_results}" ] ; then
+ echo "Result is a duplicate, aborting"
+ exit $EXIT_FAILURE
+ fi
+
echo "Copying results to $(pwd)/${results}"
# Note: Result directory should be unique due to the timestamp.